#ifndef CG_RENDERAREA_H
#define CG_RENDERAREA_H

#include <vector>
#include <iostream>

#include "genproc.h"

#include <QtOpenGL/QGLWidget>
#include <QtGui/QImage>


class GLwidget : public QGLWidget {
    Q_OBJECT

public:            

    GLwidget(QWidget *parent = 0, QGLFormat format = QGLFormat());
	~GLwidget();
    
public slots:
	void slotLoadFile(const QString &filename);
	void slotReloadShader(void);

protected:   
    void paintGL();
	void initializeGL();

	GenProc *genproc;
};

#endif
